> ## Documentation Index
> Fetch the complete documentation index at: https://developer.9squid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single alert by ID



## OpenAPI

````yaml api-reference/openapi.json GET /v1/api/alerts/{alertId}
openapi: 3.0.3
info:
  title: 9Squid Platform API Gateway
  description: >-
    Unified entry point for all Originator and Investor workflows on the 9Squid
    securitization platform.
  version: '1.0'
  x-readme:
    id: 9squid-docs
  contact: {}
servers:
  - url: https://api.9squid.com
    description: Production
  - url: https://sandbox.api.9squid.com
    description: Sandbox
security: []
tags:
  - name: Originator - Loans
    description: Loan tape upload and management
  - name: Originator - Pools
    description: Securitization pool management
  - name: Originator - Analytics
    description: ALM / TCT Risk analytics
  - name: Originator - Selection Criteria
    description: Stratification check runs and exceptions
  - name: Deal Room - Documents
    description: Document upload and management
  - name: Investor - Deals
    description: Browse and evaluate securitization deals
  - name: Investor - Portfolio
    description: Portfolio positions, summary and reports
  - name: Investor - Subscriptions & Allocations
    description: Order and allocation management
  - name: Alerts
    description: Notifications and alert management
  - name: Webhooks
    description: Webhook subscription and delivery management
paths:
  /v1/api/alerts/{alertId}:
    get:
      tags:
        - Alerts
      summary: Get a single alert by ID
      operationId: AlertsController_getAlert
      parameters:
        - name: alertId
          required: true
          in: path
          description: Alert ID
          schema:
            type: string
            example: alert_abc123
      responses:
        '200':
          description: Alert record
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: alert_abc123
                      type:
                        example: deal.status_changed
                        type: string
                      category:
                        example: deal
                        type: string
                      priority:
                        type: string
                        example: HIGH
                      status:
                        type: string
                        example: UNREAD
                      title:
                        type: string
                        example: Deal moved to IN_REVIEW
                      message:
                        type: string
                        example: Your deal deal_abc123 has been submitted for review.
                      created_at:
                        type: string
                        format: date-time
        '401':
          description: Unauthorized — invalid or missing API key
        '404':
          description: Alert not found
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````